// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdOnServerDocumentScanner",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdOnServerDocumentScanner", targets: ["WebIdOnServerDocumentScannerWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-document-scanner-spm.git",
            .branch("snapshots")
        ),
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-plugin-core-spm.git",
            .exact("10.1.1")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdOnServerDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdOnServerDocumentScanner/11.1.0/WebIdOnServerDocumentScanner.framework-v11.1.0-SNAPSHOT-1263.zip",
            checksum: "6d40c8a20384f0233da41daf2992423134a7e0cbd1c46dd3d21e6c11a141e567"
        ),
        .target(
            name: "WebIdOnServerDocumentScannerWrapper",
            dependencies: [
                .target(name: "WebIdOnServerDocumentScanner"),
                // [target dependecies here]
                
                .product(name: "WebIdDocumentScanner", package: "WebIdDocumentScanner"),
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
